View Issue Details

IDProjectCategoryLast Update
0026031AI War 2GUIJan 9, 2022 4:07 pm
Reportertadrinth Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.774 Metal Flows 
Fixed in VersionBeta 3.782 Smooth Reloading 
Summary0026031: Sidebar ship list flickers if two AIs have the same unit
DescriptionStarted a game against two AIs. Noticed that if they both have, say, a Gravity Guardian on the same planet, it will show two entries in the sidebar for Gravity Guardians, one for each AI, but the order is inconsistent, it'll constantly flicker as they trade spots.
TagsNo tags attached.

Activities

x4000Bughunter

Jan 6, 2022 6:53 pm

administrator   ~0063691

I'd need a save with it in there so I can replicate it.

tadrinth

Jan 7, 2022 10:19 pm

reporter   ~0063700

Here is a save! Look at Riese, it's just south of my HW. It no longer flickers at my framerate, but it is inconsistent.

x4000Bughunter

Jan 9, 2022 4:07 pm

administrator   ~0063721

Thanks!

* Fixed an issue in the ships sidebar where the order of some enemy units could flip around.

Issue History

Date Modified Username Field Change
Dec 30, 2021 11:54 am tadrinth New Issue
Jan 6, 2022 6:53 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 6, 2022 6:53 pm x4000Bughunter Status new => feedback
Jan 6, 2022 6:53 pm x4000Bughunter Note Added: 0063691
Jan 7, 2022 10:19 pm tadrinth Note Added: 0063700
Jan 7, 2022 10:19 pm tadrinth File Added: look at sidebar on riese.save
Jan 7, 2022 10:19 pm tadrinth Status feedback => assigned
Jan 9, 2022 4:07 pm x4000Bughunter Status assigned => resolved
Jan 9, 2022 4:07 pm x4000Bughunter Resolution open => fixed
Jan 9, 2022 4:07 pm x4000Bughunter Fixed in Version => Beta 3.782 Smooth Reloading
Jan 9, 2022 4:07 pm x4000Bughunter Note Added: 0063721